


     pgmtopbm(1)           AMIGA (26 July 1988)            pgmtopbm(1)



     NAME
          pgmtopbm - convert a portable graymap into a portable bitmap

     SYNOPSIS
          pgmtopbm [-floyd|-fs|-threshold |-dither8|-d8|-cluster3 |-
          c3|-cluster4|-c4 |-cluster8|-c8] [-value val] [pgmfile]

     DESCRIPTION
          Reads a portable graymap as input.  Produces a portable
          bitmap as output.

          Note that there is no pbmtopgm converter, because any pgm
          program can read pbm files automagically.

     OPTIONS
          The default quantization method is boustrophedonic Floyd-
          Steinberg error diffusion (-floyd or -fs).  Also available
          are simple thresholding (-threshold); Bayer's ordered dither
          (-dither8) with a 16x16 matrix; and three different sizes of
          45-degree clustered-dot dither (-cluster3, -cluster4, -
          cluster8).

          Floyd-Steinberg will almost always give the best looking
          results; however, looking good is not always what you want.
          For instance, thresholding can be used in a pipeline with
          the pnmconvol tool, for tasks like edge and peak detection.
          And clustered-dot dithering gives a newspaper-ish look, a
          useful special effect.

          The -value flag alters the thresholding value for Floyd-
          Steinberg and simple thresholding.  It should be a real
          number between 0 and 1.  Above 0.5 means darker images;
          below 0.5 means lighter.

          All flags can be abbreviated to their shortest unique
          prefix.

     REFERENCES
          The only reference you need for this stuff is "Digital
          Halftoning" by Robert Ulichney, MIT Press, ISBN 0-262-
          21009-6.

     SEE ALSO
          pbmreduce(1), pgm(5), pbm(5), pnmconvol(1)

     AUTHOR
          Copyright (C) 1989 by Jef Poskanzer.








     Page 1                                          (printed 12/9/93)



